Overview | File | Class | Tree | Index | Help
| Jala 1.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class jala.Date.Calendar.Renderer

    Object
       |
       +--jala.Date.Calendar.Renderer

class jala.Date.Calendar.Renderer

A default renderer to use in conjunction with jala.Date.Calendar
Defined in Date.js

Field Summary
`jala.Date.Calendar` | `calendar` The calendar utilizing this renderer instance
`helma.Html` | `html` An instance of helma.Html used for rendering the calendar

Constructor Summary
`jala.Date.Calendar.Renderer (<jala.Date.Calendar> calendar)` Returns a new instance of the default calendar renderer.

Method Summary
`void` | `renderCalendar(<Date> date, <String> body, <Date> prevMonth, <Date> nextMonth)` Renders the calendar directly to response.
`void` | `renderDay(<Date> date, <Boolean> isExisting, <Boolean> isSelected)` Renders a single day within the calendar directly to response.
`void` | `renderDayHeader(<String> text)` Renders a single cell in the calendar day header row directly to response.
`void` | `renderPrevNextLink(<Date> date)` Renders a link to the previous or next month's calendar directly to response.
`void` | `renderRow(<String> row)` Renders a single calendar row directly to response.

Field Detail

### calendar

    jala.Date.Calendar calendar

The calendar utilizing this renderer instance

### html

    helma.Html html

An instance of helma.Html used for rendering the calendar

Constructor Detail

### jala.Date.Calendar.Renderer

    jala.Date.Calendar.Renderer(<jala.Date.Calendar> calendar)

Returns a new instance of the default calendar renderer.

Parameters:

`calendar` - The calendar utilizing this renderer

Returns:

A newly created instance of jala.Date.Calendar.Renderer

Method Detail

### renderCalendar

    void renderCalendar(<Date> date, <String> body, <Date> prevMonth, <Date> nextMonth)

Renders the calendar directly to response.

Parameters:

`date` - A date object representing this calendar's month and year. Please mind that the day will be set to the last date in this month.

`body` - The rendered calendar weeks including the day header (basically the whole kernel of the table).

`prevMonth` - A date object set to the last available date of the previous month. This can be used to render a navigation link to the previous month.

`nextMonth` - A date object set to the first available date of the next month. This can be used to render a navigation link to the next month.

### renderDay

    void renderDay(<Date> date, <Boolean> isExisting, <Boolean> isSelected)

Renders a single day within the calendar directly to response.

Parameters:

`date` - A date instance representing the day within the calendar.

`isExisting` - True if there is a child object in the calendar's collection to which the date cell should link to

`isSelected` - True if this calendar day should be rendered as selected day.

### renderDayHeader

    void renderDayHeader(<String> text)

Renders a single cell in the calendar day header row directly to response.

Parameters:

`text` - The text to display in the header field.

### renderPrevNextLink

    void renderPrevNextLink(<Date> date)

Renders a link to the previous or next month's calendar directly to response.

Parameters:

`date` - A date object set to the previous or next available month. This can be null in case there is no previous or next month.

### renderRow

    void renderRow(<String> row)

Renders a single calendar row directly to response.

Parameters:

`row` - The body of the calendar row.

Overview | File | Class | Tree | Index | Help
| Jala 1.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Documentation generated by JSDoc on Tue Jan 8 15:45:31 2008